dpkg-genchanges(1)

NAAM
dpkg-genchanges - Debian .changes-bestanden genereren

OVERZICHT
dpkg-genchanges [optie...]

BESCHRIJVING
dpkg-genchanges leest informatie uit een uitgepakte en gebouwde Debian broncodeboom en uit de bestanden die het gegenereerd heeft en maakt een Debian uploadcontrolebestand aan (een bestand .changes).

OPTIES

--build=type
    Geeft het bouw-type op uit een lijst van met komma's gescheiden componenten (sinds dpkg 1.18.5).

    De waarden die gebruikt mogen worden zijn:

    source
        Het broncodepakket uploaden.

    any De architectuurspecifieke binaire pakketten uploaden.

    all De architectuuronafhankelijke binaire pakketten uploaden.

    binary
        De architectuurspecifieke en de architectuuronafhankelijke binaire pakketten uploaden. Dit is een alias voor any,all.

    full
        Alles uploaden. Dit is een alias voor source,any,all en hetzelfde als de standaardsituatie wanneer geen bouwopties opgegeven werden.

-g  Het equivalent van --build=source,all (sinds dpkg 1.17.11).

-G  Het equivalent van --build=source,any (sinds dpkg 1.17.11).

-b  Het equivalent van --build=binary of --build=any,all.

-B  Het equivalent van --build=any.

-A  Het equivalent van --build=all.

-S  Het equivalent van --build=source.

De opties -sx regelen of het archief met de originele broncode opgenomen is in de upload als er broncode gegenereerd wordt (d.w.z. dat -b of -B niet gebruikt werden)

-si Standaard, of indien dit opgegeven werd, wordt de originele broncode enkel toegevoegd als het toeleveraarsversienummer (upstream - het versienummer zonder epoche en zonder het Debian revisienummer) verschilt van het toeleveraarsversienummer van het vorige item uit het bestand changelog.

-sa Legt het opnemen van de originele broncode op.

-sd Dwingt af dat de originele broncode niet toegevoegd wordt en dat enkel een diff (bestand met de verschillen) ingesloten wordt.

-vversie
    Maakt dat de changelog-informatie gebruikt wordt van alle versies die strikt genomen recenter zijn dan versie.

-Cbeschrijving-van-de-wijzigingen
    Lees de beschrijving van de wijzigingen in het bestand beschrijving-wijzigingen eerder dan de informatie te gebruiken uit het bestand changelog uit de broncodeboom.

-madres-van-de-beheerder
    adres-van-de-beheerder gebruiken als de naam en het e-mailadres van de beheerder van dit pakket, eerder dan de informatie te gebruiken uit het bestand control van de broncodeboom.

-eadres-van-de-beheerder
    adres-van-de-beheerder gebruiken als de naam en het e-mailadres van de beheerder van deze upload, eerder dan de informatie te gebruiken uit het bestand changelog van de broncodeboom.

-Vnaam=waarde
    Een uitvoersubstitutievariabele instellen. Zie deb-substvars(5) voor een bespreking van uitvoersubstitutie.

-Tsubstvars-bestand
    De substitutievariabelen lezen uit substvars-bestand. Standaard is dat debian/substvars. Er wordt geen variabelesubstitutie toegepast op de velden uit de uitvoer, behalve voor de inhoud die geëxtraheerd werd uit het veld Description van elk binair pakket (sinds dpkg 1.19.0). Nochtans zal de bijzondere variabele Format het veld met dezelfde naam vervangen. Deze optie kan meermaals gebruikt worden om substitutievariabelen uit verschillende bestanden te lezen (sinds dpkg 1.15.6).

-Dveld=waarde
    Een uitvoerveld uit het control-bestand overschrijven of toevoegen.

-Uveld
    Een uitvoerveld uit het control-bestand verwijderen.

-ccontrolebestand
    Geeft aan wat het hoofdcontrolebestand van de broncode is waaruit informatie gehaald moet worden. Standaard is dat debian/control.

-lchangelog-bestand
    Geeft aan wat het changelog-bestand is waaruit informatie gehaald moet worden. Standaard is dat debian/changelog.

-fbestand-met-bestandenlijst
    Hier de lijst van bestanden lezen welke geüpload moeten worden, eerder dan gebruik te maken van debian/files.

-Fchangelog-indeling
    Geeft de indeling van het bestand changelog aan. Zie dpkg-parsechangelog(1) voor informatie over alternatieve indelingen.

-umap-upload-bestanden
    De bestanden welke geüpload moeten worden, zoeken in map-upload-bestanden eerder dan in .. (dpkg-genchanges moet deze bestanden kunnen vinden, zodat het hun grootte en hun controlesom kan opnemen in het bestand .changes)

-q  Gewoonlijk produceert dpkg-genchanges informatieve berichten op de standaard foutuitvoer, bijvoorbeeld over hoeveel van de broncodebestanden van het pakket geüpload worden. -q onderdrukt deze berichten.

-O[bestandsnaam]
    Het changes-bestand op standaarduitvoer tonen (het standaardgedrag) of het naar bestandsnaam schrijven indien dat opgegeven werd (sinds dpkg 1.18.5).

-?, --help
    Info tonen over het gebruik en afsluiten.

--version
    De versie tonen en afsluiten.

OMGEVING

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

DPKG_NLS
    Indien dit ingesteld is, zal het gebruikt worden om te beslissen over het activeren van moedertaalondersteuning, ook gekend als internationaliseringsondersteuning (of i18n) (sinds dpkg 1.19.0). Geldige waarden zijn: 0 and 1 (standaard).

BESTANDEN

debian/files
    De lijst van gegenereerde bestanden die deel uitmaken van de upload die voorbereid wordt. dpkg-genchanges leest hier de gegevens bij het produceren van een .changes-bestand.

ZIE OOK
deb-substvars(5), deb-src-control(5), deb-src-files(5), deb-changelog(5), deb-changes(5).